#include "func_factoriel.h"
#include "func_math.h"

//-----[ Factoriel ]-------------------------------------------------------

unsigned int fact_recursif (unsigned int x)
{
  if ( x <= 1)
    return 1;
  
  return (mul_soft (x , fact_recursif (x-1) ) );
}

unsigned int fact_iteratif (unsigned int x)
{
  unsigned int res= 1;
  
  while (x > 1)
    {
      res = mul_soft(res,x);
      x --;
    }
  return res;
}
